std::regex_token_iterator::operator==,operator!=(3)

NAME
std::regex_token_iterator::operator==,operator!= - std::regex_token_iterator::operator==,operator!=

Synopsis
   bool operator==( const regex_token_iterator& other ) const; (1) (since C++11)
   bool operator!=( const regex_token_iterator& other ) const; (2) (since C++11)
                        (until C++20)
   Checks whether *this and other are equivalent.
   Two regex token iterators are equal if:
   a) They are both end-of-sequence iterators
   b) They are both suffix iterators and the suffixes are equal.
   c) Neither of them is end-of-sequence or suffix iterator and:
                        * position == other.position
                        * N == other.N
                        * subs == other.subs
   1) Checks whether *this is equal to other.
   2) Checks whether *this is not equal to other.
   The != operator is synthesized from operator==. (since C++20)
    This section is incomplete
    Reason: Explain better. For example, subs is an exposition-only vector of matched
    sub-expressions.

Parameters
   other - another regex token iterator to compare to

Return value
   1) true if *this is equal to other, false otherwise.
   2) true if *this is not equal to other, false otherwise.